/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author bal
 */
public class Wuerfel {
    public static void main(String[] a) {
       
       // Aufgabe 1 
        System.out.println("Aufgabe 1");
       int n = 5; //Anzahl Würfel
       int[] wuerfeln = new int[n];
        for (int i = 0; i < n; i++) {
           int zufall = (int)(Math.random()*6)+1;
            wuerfeln[i]=zufall; 
            System.out.println("Würfel Nr."+(i+1)+":"+wuerfeln[i]);
        }
        

        //Aufgabe 2
       System.out.println("Aufgabe 2");        
       n = 100; //Anzahl Würfelrunde n 
       wuerfeln = new int[n]; 
        for (int i = 0; i < n; i++) {
           int zufall = (int)(Math.random()*6)+1;
            wuerfeln[i]=zufall; 
        }
        
        //Statistikfeld
        int[] stat = new int[6]; 
        //Statistik füllen
        for (int i = 0; i < n; i++) {
           stat[wuerfeln[i]-1]++; 
        }
        //Statistik ausgeben
        for (int i = 0; i < stat.length; i++) {
            System.out.println("Zahl "+(i+1)+" Vorkommen:"+stat[i]);  
        }
        //größte Zahl suchen
        int max=0;
        int maxIndex=0;
        for (int i = 0; i < stat.length; i++) {
            if (stat[i]>max) {
                max=stat[i];
                maxIndex=i;
            }
        }
        System.out.println("Die Augenzahl "+(maxIndex+1)+
                " kam am häufigsten "+max+" mal vor.");
        
        
        
        /*
        //Aufgabe 3
       System.out.println("Aufgabe 3");
        n = 5; //Anzahl Würfel
       wuerfeln = new int[n*1000]; //n Würfel, 1000mal würfeln
        for (int i = 0; i < n*1000; i++) {
           int zufall = (int)(Math.random()*6)+1;
            wuerfeln[i]=zufall; 
        }
        
        //Statistikfeld
        int[] stat = new int[6]; 
        //Statistik füllen
        for (int i = 0; i < n*1000; i++) {
           stat[wuerfeln[i]-1]++; 
        }
        //Statistik ausgeben
        for (int i = 0; i < stat.length; i++) {
            System.out.println("Zahl "+(i+1)+" Vorkommen:"+stat[i]);  
        }
        //größte Zahl suchen
        int max=0;
        int maxIndex=0;
        for (int i = 0; i < stat.length; i++) {
            if (stat[i]>max) {
                max=stat[i];
                maxIndex=i;
            }
        }
        System.out.println("Die Augenzahl"+(maxIndex+1)+
                " kam am häufigsten "+max+" mal vor.");
        */
    }
}
